=== debian/changelog ===
osmo-bts (0.4.0-3) unstable; urgency=medium

  * debian/control: add myself to uploaders
  * debian/control: move package to debian-mobcom and change URLs
  * debian/control: change maintainer to debian-mobcom-maintainers
  * debian/control: use dh10
  * debian/control: bump standard to 4.1.0 (no changes)
  * debian/control: remove redundant dependency of dh-autoreconf

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 11 Sep 2017 19:52:59 +0200

osmo-bts (0.4.0-2) unstable; urgency=medium

  * debian/man/osmobts-trx.txt:
    - Fixed formatting issue
  * debian/rules:
    - Fixed reproducibility issue with date in man page
    - Print test results in case of a failure

 -- Ruben Undheim <ruben.undheim@gmail.com>  Wed, 08 Jun 2016 23:31:28 +0200

osmo-bts (0.4.0-1) unstable; urgency=low

  * Initial release (Closes: #806584)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 28 May 2016 10:01:24 +0200
