=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CHANGELOG_DATE ?= $(shell LC_ALL=C date -u -d "`dpkg-parsechangelog --show-field Date`" +"%d %B %Y")

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --with-openbsc=/usr/include/osmocom --enable-trx
	#dh_auto_configure -- --with-openbsc=/usr/include/osmocom --enable-trx --enable-sysmocom-bts

override_dh_installman:
	cd debian/man ; CHANGELOG_DATE="$(CHANGELOG_DATE)" ./genmanpages.sh
	dh_installman

override_dh_clean:
	dh_clean
	$(RM) debian/man/osmobts-trx.1
	$(RM) tests/package.m4
	$(RM) tests/testsuite


# Print test results in case of a failure
override_dh_auto_test:
	dh_auto_test || (find . -name testsuite.log -exec cat {} \; ; false)
