=== debian/watch ===
version=3
http://cgit.osmocom.org/osmo-bts/ /osmo-bts/snapshot/osmo-bts-(\S+).tar.(?:bz2|gz|xz)
