## osmo-bts 0.5.0.20170825

=== debian/changelog ===
osmo-bts (0.5.0.20170825) UNRELEASED; urgency=medium

  * Initial release.
  * Snapshot build

 -- Holger Hans Peter Freyther <holger@moiji-mobile.com>  Fri, 25 Aug 2017 21:48:54 +0200
