## osmo-bts 0.7.0

=== debian/changelog ===
osmo-bts (0.7.0-1build1) cosmic; urgency=medium

  * No-change rebuild for osmo soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 May 2018 09:49:16 +0200

osmo-bts (0.7.0-1) unstable; urgency=medium

  * New upstream release (Closes: #895454)
  * debian/control: add salsa URLs
  * debian/control: use dh11
  * debian/control: bump standard to 4.1.4 (no changes)
  * debian/patches: update/remove patches

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 21 Apr 2018 16:15:01 +0200
