## osmo-bts 0.8.1

=== debian/changelog ===
osmo-bts (0.8.1-2) unstable; urgency=medium

  * Upload to unstable
  * Move man pages to section 8

 -- Ruben Undheim <ruben.undheim@gmail.com>  Tue, 06 Nov 2018 21:52:40 +0100

osmo-bts (0.8.1-2~exp2) experimental; urgency=medium

  * debian/osmo-bts.cfg: Simplify configuration file
  * debian/tests: Added autopkgtest to test 'osmo-bts-trx -h'

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 23 Sep 2018 13:53:23 +0200

osmo-bts (0.8.1-2~exp1) experimental; urgency=medium

  * debian/control:
    - New standards version 4.2.1 - no changes
    - Suggests osmo-bsc
  * Install systemd service file but do not enable by default
  * Install /etc/osmocom/osmo-bts.cfg example configuration file
  * Rename man page file and update content
  * debian/rules:
    - Do not parse changelog with dpkg-parsechangelog explicitly
    - Create .tarball-version in override_dh_autoreconf and delete it in
      override_dh_clean

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 22 Sep 2018 14:11:29 +0200

osmo-bts (0.8.1-1) experimental; urgency=medium

  * New upstream release

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 16 Jul 2018 20:51:19 +0200
