=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: osmo-bts
 Maintainer: Debian Mobcom Maintainers <Debian-mobcom-maintainers@lists.alioth.debian.org>
-Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
-	, Thorsten Alteholz <debian@alteholz.de>
+Uploaders: Ruben Undheim <ruben.undheim@gmail.com>,
+           Thorsten Alteholz <debian@alteholz.de>
 Section: net
 Priority: optional
 Build-Depends: debhelper (>= 11),
                pkg-config,
-               libosmocore-dev,
-               openbsc-dev,
-               libosmo-abis-dev,
+               libosmocore-dev (>= 0.11.0),
+               openbsc-dev (>= 1.1.0),
+               libosmo-abis-dev (>= 0.5.0),
                libgps-dev,
                libortp-dev,
+               libosmocoding0,
                txt2man
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/debian-mobcom-team/osmo-bts
 Vcs-Git: https://salsa.debian.org/debian-mobcom-team/osmo-bts.git
 Homepage: http://openbsc.osmocom.org/trac/wiki/OsmoBTS
@@ -21,6 +22,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
+Suggests: osmo-bsc
 Description: Base Transceiver Station for GSM
  OsmoBTS is a software implementation of Layer2/3 of a BTS. It implements the
  following protocols/interfaces:
