## osmo-bts 1.2.0.9.cb69

=== debian/changelog ===
osmo-bts (1.2.0.9.cb69) UNRELEASED; urgency=medium

  * Snapshot build

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Mon, 10 Feb 2020 01:30:14 +0000
