## osmo-bts 1.2.0.11.aea2

=== debian/changelog ===
osmo-bts (1.2.0.11.aea2) UNRELEASED; urgency=medium

  * Snapshot build

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Mon, 17 Feb 2020 01:30:14 +0000
