## osmo-bts 1.2.0.16.24f98

=== debian/changelog ===
osmo-bts (1.2.0.16.24f98) UNRELEASED; urgency=medium

  * Snapshot build

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Thu, 27 Feb 2020 01:29:06 +0000
