## osmo-bts 1.2.2

=== debian/changelog ===
osmo-bts (1.2.2) unstable; urgency=medium

  * tx_power_test: Disable using color in log output

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Wed, 09 Sep 2020 16:21:45 +0200

osmo-bts (1.2.1) unstable; urgency=medium

  [ Harald Welte ]
  * fix compilation with gcc-10

  [ Pau Espin Pedrol ]
  * bts-trx: trx_if.c: Fix some printf formats

 -- Harald Welte <laforge@osmocom.org>  Sun, 26 Jul 2020 20:50:12 +0200
