=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
 Package: osmo-bts-trx
 Architecture: any
 Conflicts: osmo-bts
-Depends: osmocom-nightly, ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-latest, ${shlibs:Depends}, ${misc:Depends}
 Description: osmo-bts-trx GSM BTS with osmo-trx
  osmo-bts-trx to be used with the osmo-trx application
 
@@ -29,14 +29,14 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: osmocom-nightly, osmo-bts-trx (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-latest, osmo-bts-trx (= ${binary:Version}), ${misc:Depends}
 Description: Debug symbols for the osmo-bts-trx
  Make debugging possible
 
 Package: osmo-bts-virtual
 Architecture: any
 Conflicts: osmo-bts
-Depends: osmocom-nightly, ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-latest, ${shlibs:Depends}, ${misc:Depends}
 Description: Virtual Osmocom GSM BTS (no RF hardware; GSMTAP/UDP)
  This version of OsmoBTS doesn't use actual GSM PHY/Hardware/RF, but
  utilizes GSMTAP-over-UDP frames for the Um interface.  This is useful
@@ -46,7 +46,7 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: osmocom-nightly, osmo-bts-virtual (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-latest, osmo-bts-virtual (= ${binary:Version}), ${misc:Depends}
 Description: Debug symbols for the osmo-bts-virtual
  Make debugging possible
 
@@ -54,7 +54,7 @@
 Architecture: all
 Section: doc
 Priority: optional
-Depends: osmocom-nightly, ${misc:Depends}
+Depends: osmocom-latest, ${misc:Depends}
 Description: ${misc:Package} PDF documentation
  Various manuals: user manual, VTY reference manual and/or
  protocol/interface manuals.
