## osmo-bts 1.2.2+dfsg1

=== debian/changelog ===
osmo-bts (1.2.2+dfsg1-2build2) jammy; urgency=medium

  * Rebuild against new libosmocore16.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 21 Mar 2022 02:57:48 +0100

osmo-bts (1.2.2+dfsg1-2build1) jammy; urgency=medium

  * No-change rebuild against libosmocore18

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 21 Mar 2022 00:06:35 +0000

osmo-bts (1.2.2+dfsg1-2) unstable; urgency=medium

  * upload to unstable
  * mark test as superficial (Closes: #971485)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 13 Dec 2020 08:05:43 +0100

osmo-bts (1.2.2+dfsg1-1) experimental; urgency=medium

  * New upstream release
  * debian/control: update dependencies

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 02 Dec 2020 20:05:43 +0000

osmo-bts (1.2.1+dfsg1-1) experimental; urgency=medium

  * New upstream release

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 20 Aug 2020 02:57:19 +0000

osmo-bts (0.8.1-3) unstable; urgency=medium

  * add patch for gcc10 (Closes: #957651)
    Thanks to Harald Welte for the patch
  * debian/control: bump standard to 4.5.0 (no changes)
  * debian/control: use dh12

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 05 Aug 2020 20:51:19 +0200
