## osmo-bts 1.3.0

=== debian/changelog ===
osmo-bts (1.3.0) unstable; urgency=medium

  [ Michael McTernan ]
  * measurement: use signed integer for division of ta256b_sum

  [ Vadim Yanitskiy ]
  * common/vty.c: get rid of generic exit / end commands
  * common/abis.c: make use of RSL TEI from OML IPA RSL Connect
  * L1SAP: use LOGL_DEBUG for logging from rach_pass_filter()
  * osmo-bts-sysmo/Makefile.am: fix: do not overwrite bin_PROGRAMS
  * vty: fix left shift by 31 cannot be represented in type 'int'
  * common/sysinfo: reduce criticality of a logging message
  * osmo-bts-virtual: fix wrong endianness in gsmtap_hdr_stringify()
  * osmo-bts-virtual: do not print redundant info in tx_to_virt_um()
  * osmo-bts-virtual: do not log GSMTAP message sending failure twice
  * l1sap: fix gsmtap_ph_rach(): properly pack 8-bit and 11-bit RA
  * osmo-bts-{sysmo,oc2g,lc15}: fix segfault on 'dsp-trace-flag'
  * osmo-bts-trx/scheduler: remove a left-over from UL TCH handlers
  * oml: fix oml_mo_tx_sw_act_rep(): do not allocate FOM header twice
  * fix typo in osmo_bts_variant_names: s/omso/osmo/g
  * doc/manuals: fix typo in interfaces.adoc: s/Omsocom/Osmocom/g
  * osmo-bts-omldummy: print a brief usage statement if argc < 3
  * osmo-bts-omldummy: make number of transceivers configurable
  * vty: get rid of unused ournode_{exit,end}_cmd declarations
  * vty: cosmetic: make an error message more informative
  * vty: use gsm48_chan_mode_name() from libosmocore
  * gsm_data_shared: drop unused supports_egprs_11bit_rach
  * gsm_data_shared: drop unused enum bts_gprs_mode
  * gsm_data_shared: drop unused channel request reason definitions
  * gsm_data_shared: get rid of unused HARDCODED_{ARFCN,BSIC}
  * gsm_data_shared: get rid of unused HARDCODED_BTS{0,1,2}_TS
  * gsm_data_shared: get rid of unused enum gsm_hooks
  * gsm_data_shared: drop declaration of non-existing gsm_parse_reg()
  * gsm_data_shared: drop unused A38_XOR_{MIN,MAX,COMP128}_KEY_LEN
  * gsm_data_shared: drop unused MAX_EARFCN_LIST
  * gsm_data_shared: drop unused LCHAN_SAPI_{UNUSED,MS,NET,REL}
  * gsm_data_shared: drop unused struct bts_codec_conf
  * gsm_data_shared: drop meaningless comments
  * gsm_data_shared: drop unused sacch_deact from struct gsm_lchan
  * gsm_data_shared: drop forward declaration of struct vty
  * gsm_data_shared: drop unused *nmh from struct gsm_bts
  * gsm_data_shared: drop unused dtxu from struct gsm_bts
  * gsm_data_shared: drop unused ctrl_ack_type_use_block & net_ctrl_ord
  * gsm_data_shared: drop unused rach_b_thresh & rach_ldavg_slots
  * gsm_data_shared: drop force_combined_si & bcch_change_mark
  * scheduler: drop non-existing extern declarations
  * vty: fix bts_dump_vty(): properly print OML stream ID (TEI)
  * rsl: refactor handling of RSL_IE_MR_CONFIG
  * osmo-bts-trx: prettify Makefile.am: make it git friendly
  * osmo-bts-trx: fix: use noinst_HEADERS instead of EXTRA_DIST
  * osmo-bts-virtual: cosmetic: use LID_{SACCH,DEDIC} macros
  * doc/examples: remove virtual/openbsc-virtual.cfg
  * common/scheduler: fix unreachable code in trx_sched_set_lchan()
  * common/scheduler: use boolean for channel activation state
  * osmo-bts-trx/trx_if: fix memleak in trx_ctrl_cmd_cb()
  * osmo-bts-trx/trx_if: cosmetic: s/ocommand/command/
  * oml: fix TL16V length calculation in add_bts_feat()
  * osmo-bts-trx: indicate BTS_FEAT_EGPRS support to BSC
  * gsm_data_shared: use bitvec API to allocate the feature vector
  * Do not mix public and private BTS features, use libosmocore's API
  * osmo-bts-trx/scheduler: properly handle NOPE.ind during handover
  * osmo-bts-trx: use osmo_store32be() in trx_if_send_burst()
  * osmo-bts-trx: move logical channel handlers to separate files
  * osmo-bts-trx: introduce and use struct trx_dl_burst_req
  * osmo-bts-trx: store pointer to gsm_lchan in l1sched_chan_state
  * osmo-bts-trx: include BS Power reduction in Downlink bursts
  * A-bis/RSL: refactor handling of BS Power IE (power reduction)
  * A-bis/OML: fix logging: do not print A-bis MO name twice
  * Use libosmocore's TDMA frame number API (constatns & arithmetic)
  * osmo-bts-trx: fix trx_sched_fn(): properly advance frame number
  * osmo-bts-trx/scheduler: make mark trx_sched_fn() return void
  * vty: fix missing separator in help for power ramp commands
  * osmo-bts-trx/scheduler: get rid of _sched_fcch_burst
  * A-bis/OML: handle hopping params in Set Channel Attributes
  * osmo-bts-trx/scheduler: cosmetic: move trx_if_powered() check
  * osmo-bts-trx/scheduler: get rid of unused 'meas' in l1sched_chan_state
  * l1sap: do not print redundant info in l1sap_chan_act()
  * Constify the 'trx' argument of trx_get_hlayer1() everywhere
  * common: constify the argument of trx_ms_pwr_ctrl_is_osmo()
  * pcu_sock: constify the argument of ts_should_be_pdch()
  * osmo-bts-trx/scheduler: fix CLCK.ind handling during ramping down
  * osmo-bts-trx/scheduler: refactor dummy burst scheduling
  * oml: fix ARFCN range check in oml_rx_set_radio_attr()
  * oml: fix ARFCN range check in oml_rx_set_bts_attr()
  * pcu_sock: use a 'switch' statement in ts_should_be_pdch()
  * pcu_sock: warn about maximum transceiver number constraints
  * pcu_sock: separate trx / ts filling from pcu_tx_info_ind()
  * pcu_sock: use LOGPTRX() in info_ind_fill_trx()
  * osmo-bts-trx/scheduler: implement baseband frequency hopping
  * osmo-bts-trx: indicate support of BTS_FEAT_HOPPING
  * l1sap: radio_link_timeout(): clarify logging messages
  * l1sap: radio_link_timeout(): use LOGPLCHAN() macro
  * l1sap: radio_link_timeout(): bad_frame is a boolean
  * rsl: constify the 'lchan' argument of rsl_tx_conn_fail()
  * debian/control: change maintainer to the Osmocom team / mailing list
  * osmo-bts-omldummy: enable BTS_FEAT_{CBCH,HOPPING} support
  * vty: clarify documentation of '[no] gsmtap-sapi' command
  * vty: add 'gsmtap-sapi (enable-all|disable-all)' command
  * osmo-bts-trx/trx_provision_fsm: fix misleading comment in header
  * osmo-bts-trx/trx_provision_fsm: cosmetic: switch is not a function

