## osmo-bts 1.3.2

=== debian/changelog ===
osmo-bts (1.3.2) unstable; urgency=medium

  * osmo-bts-trx: fix hopping pointer bug in trx_sched_fn()

 -- Vadim Yanitskiy <vyanitskiy@sysmocom.de>  Thu, 20 May 2021 17:30:07 +0000
