## osmo-bts 1.3.3

=== debian/changelog ===
osmo-bts (1.3.3) unstable; urgency=medium

  * debian/control: remove dh-systemd build-depend

 -- Oliver Smith <osmith@sysmocom.de>  Mon, 06 Sep 2021 15:24:34 +0200
