## osmo-bts 1.4.0

=== debian/changelog ===
osmo-bts (1.4.0) unstable; urgency=medium

  [ Philipp Maier ]
  * l1sap: Store status of SRR in an lchan struct memeber
  * l1sap: add logging and VTY introspection for ACCH repetition
  * sched_lchan_tchh: fix frame number and fill FACCH gap
  * main,abis: change model name from sysmoBTS to osmo-bts
  * paging: prioritize CS related paging over PS related pagings.
  * allow to configure multiple oml remote-ip addresses
  * sched_lchan_tch_x: do not use cmr as ft
  * sched_lchan_tch_x: use functions to determine AMR tranmssion phase
  * sched_lchan_tch_x: use ul_cmr and ul_ft when generating RTP bad frame
  * rsl: simplfy parse_repeated_acch_capability
  * rsl: parse temporary overpower value RSL CHAN ACT / MODIFY

  [ Vadim Yanitskiy ]
  * doc/examples: remove obsolete power control parameters
  * doc/examples: enable stderr logging for osmo-bts-virtual.cfg
  * osmo-bts-trx: fix: do not call trx_if_close() two times
  * osmo-bts-trx: fix segfault on trx_phy_inst_open() failure
  * l1sap: use the passed 'trx' pointer in l1sap_chan_act()
  * l1sap: use TLVP_PRES_LEN() macro in l1sap_chan_act()
  * l1sap: check BTS_FEAT_MULTI_TSC in l1sap_chan_act()
  * l1sap: fix wrong IEI and parsing in l1sap_chan_act()
  * manuals: fix wrong VTY node for 'gsmtap-sapi' command
  * manuals: document GSMTAP 'enable-all' / 'disable-all'
  * osmo-bts-trx: correct definition of 'osmotrx rx-gain' command
  * rsl: do not blindly ignore unhandled/unknown Channel Mode
  * manuals: remove deprecated command line parameters
  * manuals: document new 'gsmtap-remote-host' command
  * l1sap: fix incorrect pointer cast in l1sap_chan_act()
  * rsl: rename, fix and refactor lchan_tchmode_from_cmode()
  * rsl: add missing Channel Mode values to rsl_handle_chan_mod_ie()
  * lchan2lch_par(): fix missing default branch in switch
  * osmo-bts-trx: cosmetic: TRXD 'header version' -> 'PDU version'
  * osmo-bts-trx: remove outdated TRXD protocol documentation
  * osmo-bts-trx: cosmetic: use '#pragma once' in trx_if.h
  * osmo-bts-trx: define TRXC/TRXD message buffer size
  * osmo-bts-trx: 'burst type' is actually modulation type
  * osmo-bts-trx: move MTS parser into trx_data_parse_mts()
  * osmo-bts-trx: discard TRXD PDUs with unexpected version
  * osmo-bts-trx: move TDMA frame number check to trx_data_read_cb()
  * osmo-bts-trx: cosmetic: get rid of TRX_CHDR_LEN macro
  * osmo-bts-trx: generalize checking of TRXD header length
  * osmo-bts-trx: pass 'struct phy_instance' to TRXD dissectors
  * osmo-bts-trx: refactor handling of version specific TRXD parts
  * osmo-bts-trx: enlarge and share TRXD message buffer
  * osmo-bts-trx: assert PDU version in trx_if_send_burst()
  * osmo-bts-trx: reduce code nasting in trx_if_send_burst()
  * vty: fix the use of deprecated osmo_bts_feature_name()
  * common/abis: fix the use of deprecated e1inp_line_get() API
  * osmo-bts-trx: refactor parse_rsp(), fix compilation warnings
  * rsl: fix wrong value printed in rsl_handle_chan_mod_ie()
  * struct gsm_bts_trx: remove unused leftovers from openbsc
  * common/sysinfo: make struct gsm_bts_trx const in num_agch()
  * osmo-bts-{lc15,oc2g}: drop redundant checks in VTY commands
  * [VAMOS] struct gsm_bts_trx: fix the PHY instance pointer
  * [VAMOS] Merge bts_trx_init() into gsm_bts_trx_alloc()
  * [VAMOS] osmo-bts-trx: move {chan,bid} to trx_{dl,ul}_burst_{req,ind}
  * osmo-bts-trx: implement TRXDv2 protocol support
  * scheduler.h: cosmetic: use #pragma once
  * osmo-bts-trx: cosmetic: s/trx_sched_fn/bts_sched_fn/g
  * osmo-bts-trx: remove redundant assert() in bts_sched_fn()
  * osmo-bts-trx: fix hopping pointer bug in bts_sched_fn()
  * [VAMOS] Re-organize osmo-bts-trx specific structures
  * osmo-bts-trx: clarify logging messages in trx_if_{open,close}()
  * osmo-bts-{trx,virtual}: fix: pinst->trx may be NULL
  * common: make the arguments of phy_{link,instance}_name() const
  * [VAMOS] common: make 'struct gsm_bts_trx_ts' pointers const
  * [VAMOS] gsm_data.h: fix wrong bit-mask in BSIC2BCC macro
  * [VAMOS] gsm_data.h: introduce and use BTS_TSC macro
  * common: phy_links_open(): warn about dangling PHY instances
  * [VAMOS] osmo-bts-trx: rework and split up bts_sched_fn()
  * Fix regression in 'osmo-bts-trx: rework and split up bts_sched_fn()'
  * [VAMOS] osmo-bts-trx: implement and enable PDU batching for TRXDv2
  * [VAMOS] osmo-bts-trx: indicate MTS in Downlink TRXDv2 PDUs
  * [VAMOS] rsl_rx_mode_modif(): handle Channel Identification IE
  * [VAMOS] rsl: call bts_supports_cm() from rsl_handle_chan_mod_ie()
  * [VAMOS] bts_supports_cm(): handle RSL_CMOD_CRT_OSMO_TCH_VAMOS_{Bm,Lm}
  * [VAMOS] common/scheduler: unify symbol names for training sequences
  * [VAMOS] osmo-bts-trx: rework handling of Training Sequence
  * [VAMOS] osmo-bts-trx: properly handle per-timeslot TSC values
  * [VAMOS] scheduler: add new GMSK training sequences from 3GPP 45.002
  * [VAMOS] l1sap_chan_act(): handle Osmocom specific TSC IE
  * [VAMOS] common/oml: generalize checking BTS_FEAT_MULTI_TSC
  * [VAMOS] gsm_pchan2chan_nr(): use ABIS_RSL_CHAN_NR_CBITS_* macros
  * [VAMOS] rsl_lchan_lookup(): use ABIS_RSL_CHAN_NR_CBITS_* macros
  * [VAMOS] rsl_lchan_lookup(): make it more readable
  * [VAMOS] gsm_data: rework and rename gsm_lchan_name_compute()
  * [VAMOS] l1sap: get_lchan_by_chan_nr() may return NULL
  * [VAMOS] oml_rx_set_chan_attr(): clarify NM_ATT_CHAN_COMB handling
  * manuals/abis/rsl.adoc: s/TS 08.58/TS 48.058/
  * manuals/abis/rsl.adoc: rework Channel Number description
  * manuals/abis/rsl.adoc: add missing CBCH Channel Number values
  * manuals/abis/rsl.adoc: add VAMOS specific Channel Number values
  * osmo-bts-trx: fix NULL pointer dereference in trx_if_send_burst()
  * trx_sched_is_sacch_fn(): fix handling of dynamic timeslots
  * [VAMOS] scheduler: drop meaningless channel number checks
  * [VAMOS] conf_lchans_as_pchan(): improve readability
  * [VAMOS] Implement the concept of 'shadow' timeslots

