## osmo-bts 1.4.1+dfsg1

=== debian/changelog ===
osmo-bts (1.4.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 24 Mar 2022 11:03:03 +0100

osmo-bts (1.4.0+dfsg1-2) unstable; urgency=medium

  * upload to unstable

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 19 Mar 2022 09:44:20 +0100

osmo-bts (1.4.0+dfsg1-1) experimental; urgency=medium

  * New upstream release
  * debian/control: bump standard to 4.6.0 (no changes)
  * debian/control: use dh13
  * debian/control: use at least libosmocore 1.5.0

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 10 Mar 2022 21:44:20 +0000
